#include <bits/stdc++.h>

using namespace std;

int main ()
{
    int n, k;
    cin>>n>>k;
    int niz[n];
    for(int i=0; i<n; i++)
    {
        cin>>niz[i];
    }
    for(int i=0; i<n; i++)
    {
        if(niz[i] == k){
            if(i == (n-1)){
                cout<<niz[0];
            }
            else{
                cout<<niz[i+1];
            }
            return 0;
        }
    }

}